Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.impl
Class VariableScopeResolverFactory

    java.lang.Object
      org.mvel2.integration.impl.ImmutableDefaultFactory
          org.jbpm.workflow.instance.impl.VariableScopeResolverFactory

All Implemented Interfaces:
  Serializable, org.mvel2.integration.VariableResolverFactory

    public class VariableScopeResolverFactory

extends org.mvel2.integration.impl.ImmutableDefaultFactory

See Also:
  Serialized Form

Constructor Summary
`VariableScopeResolverFactory(VariableScopeInstance variableScope)`

Method Summary
`org.mvel2.integration.VariableResolver` | `getVariableResolver(String name)`
`boolean` | `isResolveable(String name)`

Methods inherited from class org.mvel2.integration.impl.ImmutableDefaultFactory
`createIndexedVariable, createIndexedVariable, createVariable, createVariable, getIndexedVariableResolver, getKnownVariables, getNextFactory, isIndexedFactory, isTarget, setIndexedVariableResolver, setNextFactory, setTiltFlag, tiltFlag, variableIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableScopeResolverFactory

    public VariableScopeResolverFactory(VariableScopeInstance variableScope)

Method Detail

### isResolveable

    public boolean isResolveable(String name)

  Specified by:
    `isResolveable` in interface `org.mvel2.integration.VariableResolverFactory`
  Overrides:
    `isResolveable` in class `org.mvel2.integration.impl.ImmutableDefaultFactory`

### getVariableResolver

    public org.mvel2.integration.VariableResolver getVariableResolver(String name)

  Specified by:
    `getVariableResolver` in interface `org.mvel2.integration.VariableResolverFactory`
  Overrides:
    `getVariableResolver` in class `org.mvel2.integration.impl.ImmutableDefaultFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.